from django.contrib.auth import models as auth_models
from rest_framework import serializers
from sde.models import SDEType
from api import models


class UserSerializer(serializers.ModelSerializer):
    class Meta:
        model = auth_models.User
        fields = ['id', 'username', 'email', 'groups']


class GroupSerializer(serializers.ModelSerializer):
    class Meta:
        model = auth_models.Group
        fields = ['id', 'name']


class AcquisitionSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.Acquisition
        fields = '__all__'
